# Changelog DTS 4128V2
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)

Possible log types:
- [Update instructions] for essential requirements and information about the firmware update procedure
- [Added] for new features
- [Changed] for changes in existing functionality. Improvements should appear under the 'changed' section
- [Deprecated] for once-stable features removed in upcoming releases
- [Removed] for now removed features in this release
- [Fixed] for any bug fixes
- [Security] for security related changes or vulnerabilities 


## [00220425.040201.02020152] 2022-04-25
### Update instructions
For general update instructions, please consult manual 800847.07
Special instructions to update this version from any previous firmware:
1. As first step, update application and Kernel image
  - dts4128app.ubifs
  - dts4128zImage
2. As second step, update all other images
  - dts4128u-boot.imx
  - dts4128devicetree.dtb
  - dts4128rootfs.ubifs
  - dts4128cfg.ubifs
### Added
- CI/CD Test: Validate firmware images containing MOBA-NMS string required for firmware update
- CI/CD Test: Validate root user lock in firmware images
- CI/CD: Fully deploy firmware with GitLab CI/CD pipelines
- Introduce this CHANGELOG.md as part of the firmware zip delivery
### Changed
- Changes required for MBS factory
- Change Product name to 'DTS 4128S V2.timeserver' for Siemens devices
- Change Product name to 'DTS 4128 V2.timeserver' for non Siemens devices
### Fixed
- Fix ProductVersion.txt handling during dtsapp startup
- Fix DTS restart after hostname change
- Show correct busybox version
- Fix watchdog timeouts setup for "startup process", "normal operation" and "firmware update"
### Security
- Disabled FTP service in factory defaults configuration
- Disabled telnet service in factory defaults configuration
- Disabled ntpq service (no ntpq queries allowed) in factory defaults configuration
- Disabled SNMPv1/v2 (allow SNMPv3 only connection) in factory defaults configuration
- Changed root user password (root user is always disabled/locked in released firmware) 

## [00210331.040201.02020151] 2021-06-07
### Added
- SNMP: Added capability to disable the SNMP v1 and V2c.
- SNMP: Added order contact to SNMP

## [00210204.040201.02020150] 2021-02-04
### Added
- Adaption of the DTS4128 to the new controller module
- Add IPv6 and authentication features (NTP and Mail)
- Add Sinec functionality to the Siemens version
- Add Bürk Order number to the Siemens version
- Update ntpd to version 4.2.8p15
- Update dropbear ssh to version 2020.81


